Bug 485545 - bacula-client missing /var/lib/bacula and /var/run/bacula directories
bacula-client missing /var/lib/bacula and /var/run/bacula directories
Product: Fedora
Classification: Fedora
Component: bacula (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2009-02-13 22:05 EST by John Florian
Modified: 2009-12-18 02:54 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 02:54:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Florian 2009-02-13 22:05:35 EST
User-Agent:       Mozilla/5.0 (compatible; Konqueror/4.2; Linux) KHTML/4.2.0 (like Gecko) Fedora/4.2.0-10.fc10

If bacula-client is installed without bacula-server (because that's on another host), the file daemon cannot be started because it's looking for the /var/lib/bacula directory which does not exist.

Reproducible: Always

Steps to Reproduce:
1. Install bacula-client on a host that has no bacula packages installed already
2. I configured the file daemon, but this is probably not necessary to witness the problem.
3. Attempt to start the bacula-fd service; note the error.
Actual Results:  
service bacula-fd start                                                                              
Starting bacula-fd: 13-Feb 21:24 myhost-fd: ERROR TERMINATION at util.c:709                           
Working Directory: "/var/lib/bacula" not found. Cannot continue.                                                    

Expected Results:  
Daemon should start w/o errors, of course.

Comment 1 John Florian 2009-02-13 22:33:48 EST
For a work around, I did:
mkdir -p /var/lib/bacula

The daemon still wouldn't start however, but the error message was now gone.  The new failure was rather silent, or at least I couldn't see it logged anywhere.  So, I added '-d 125' to the init script to start it with debugging mode enabled.  (BTW, the man page doesn't show this, but running the daemon with --help does.  Also, the init script will attempt to source /etc/sysconfig/bacula-fd, but there's no way to append options as the init script is presently written.)

Anyway, enabling the debugging mode revealed that I needed to also create /var/run/bacula.  At that point, I was able to start the file daemon and reach it from the director.
Comment 2 John Florian 2009-02-13 22:39:33 EST
This patch makes it possible provide additional start options via /etc/sysconfig/bacula-fd that is already being sourced.

--- /etc/init.d/bacula-fd-orig  2009-02-13 22:36:30.000000000 -0500
+++ /etc/init.d/bacula-fd       2009-02-13 22:37:01.000000000 -0500
@@ -23,7 +23,7 @@

 checkconf() {
        # Check if we still have our @@PLACEHOLDERS@@ in the config.
Comment 3 Andreas Thienemann 2009-02-14 05:19:39 EST
Thanks for the report.

Looking into it.
Comment 4 Bug Zapper 2009-11-18 04:10:15 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2009-12-18 02:54:54 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.